Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.client
Class ServiceFactoryImpl

    java.lang.Object
      javax.xml.rpc.ServiceFactory
          org.jboss.webservice.client.ServiceFactoryImpl

public class ServiceFactoryImpl
extends javax.xml.rpc.ServiceFactory

The javax.xml.rpc.ServiceFactory is a factory for the creation of instances of the type javax.xml.rpc.Service.

This class follows the abstract static factory design pattern. This enables a J2SE based client to create a Service instance in a portable manner without using the constructor of the Service implementation class.

Version:
  1.1
Author:
  Thomas.Diesler@jboss.org

Field Summary

Fields inherited from class javax.xml.rpc.ServiceFactory
`SERVICEFACTORY_PROPERTY`

Constructor Summary
`ServiceFactoryImpl()`

Method Summary
`javax.xml.rpc.Service` | `createService(javax.xml.namespace.QName serviceName)` Create a `Service` instance.
`javax.xml.rpc.Service` | `createService(URL wsdlDocumentLocation, javax.xml.namespace.QName serviceName)` Create a `Service` instance.
`javax.xml.rpc.Service` | `createService(URL wsdlLocation, URL mappingLocation, URL ws4eeMetaData, javax.xml.namespace.QName serviceName, String portName)` Create a `Service` instance.
`javax.xml.rpc.Service` | `loadService(Class serviceInterface)` Create an instance of the generated service implementation class for a given service interface, if available.
`javax.xml.rpc.Service` | `loadService(URL wsdlDocumentLocation, Class serviceInterface, Properties props)` Create an instance of the generated service implementation class for a given service interface, if available.
`javax.xml.rpc.Service` | `loadService(URL wsdlDocumentLocation, javax.xml.namespace.QName serviceName, Properties props)` Create an instance of the generated service implementation class for a given service, if available.

Methods inherited from class javax.xml.rpc.ServiceFactory
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceFactoryImpl

    public ServiceFactoryImpl()

Method Detail

### loadService

    public javax.xml.rpc.Service loadService(Class serviceInterface)
                                      throws javax.xml.rpc.ServiceException

  Create an instance of the generated service implementation class for a given service interface, if available.

  Parameters:
    `serviceInterface` - Service interface
  Returns:
    A Service
  Throws:
    `javax.xml.rpc.ServiceException` - If there is any error while creating the specified service, including the case where a generated service implementation class cannot be located

### loadService

    public javax.xml.rpc.Service loadService(URL wsdlDocumentLocation,
                                             Class serviceInterface,
                                             Properties props)
                                      throws javax.xml.rpc.ServiceException

  Create an instance of the generated service implementation class for a given service interface, if available. An implementation may use the provided wsdlDocumentLocation and properties to help locate the generated implementation class. If no such class is present, a ServiceException will be thrown.

  Parameters:
    `wsdlDocumentLocation` - URL for the WSDL document location for the service or null
    `serviceInterface` - Service interface
    `props` - A set of implementation-specific properties to help locate the generated service implementation class
  Returns:
    A Service
  Throws:
    `javax.xml.rpc.ServiceException` - If there is any error while creating the specified service, including the case where a generated service implementation class cannot be located

### loadService

    public javax.xml.rpc.Service loadService(URL wsdlDocumentLocation,
                                             javax.xml.namespace.QName serviceName,
                                             Properties props)
                                      throws javax.xml.rpc.ServiceException

  Create an instance of the generated service implementation class for a given service, if available. The service is uniquely identified by the wsdlDocumentLocation and serviceName arguments. An implementation may use the provided properties to help locate the generated implementation class. If no such class is present, a ServiceException will be thrown.

  Parameters:
    `wsdlDocumentLocation` - URL for the WSDL document location for the service or null
    `serviceName` - Qualified name for the service
    `props` - A set of implementation-specific properties to help locate the generated service implementation class
  Returns:
    A Service
  Throws:
    `javax.xml.rpc.ServiceException` - If there is any error while creating the specified service, including the case where a generated service implementation class cannot be located

### createService

    public javax.xml.rpc.Service createService(javax.xml.namespace.QName serviceName)
                                        throws javax.xml.rpc.ServiceException

  Create a `Service` instance.

  Parameters:
    `serviceName` - QName for the service
  Returns:
    Service.
  Throws:
    `javax.xml.rpc.ServiceException` - If any error in creation of the specified service

### createService

    public javax.xml.rpc.Service createService(URL wsdlDocumentLocation,
                                               javax.xml.namespace.QName serviceName)
                                        throws javax.xml.rpc.ServiceException

  Create a `Service` instance.

  Parameters:
    `wsdlDocumentLocation` - URL for the WSDL document location
    `serviceName` - QName for the service.
  Returns:
    Service.
  Throws:
    `javax.xml.rpc.ServiceException` - If any error in creation of the specified service

### createService

    public javax.xml.rpc.Service createService(URL wsdlLocation,
                                               URL mappingLocation,
                                               URL ws4eeMetaData,
                                               javax.xml.namespace.QName serviceName,
                                               String portName)
                                        throws javax.xml.rpc.ServiceException

  Create a `Service` instance.

  Note, this method is not in the `ServiceFactory` interface, it provides the service with additional ws4ee wsdl/java mapping information

  Parameters:
    `wsdlLocation` - URL for the WSDL document location
    `mappingLocation` - An optional URL for the jaxrpc-mapping.xml location
    `serviceName` - QName for the service.
    `portName` - An optional port name
  Returns:
    Service.
  Throws:
    `javax.xml.rpc.ServiceException` - If any error in creation of the specified service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.